/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-16 15:00:21.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

public interface Constants {

    /* Session的过期时长，单位为秒 */
    int EXPIRE_TIME = 2 * 60 * 60;

    String CHARSET_JSON_UTF8 = "application/json; charset=utf-8";

    String PARAM_KEY = "key";

    String PARAM_TOKEN = "token";

    String TYPE_ZIP = "zip";

    String TYPE_PDF = "pdf";

    String COMMON_ACCOUNT_TYPE = "COMMON_LOGIN_NAME";

    String STUDENT_ACCOUNT_TYPE = "STUDENT_CODE";

    String PASSWORD = "password";

    /* 常用状态码 */
    String CODE_0 = "0";//错误
    String CODE_200 = "200";//成功
    String CODE_500 = "500";//失败
    String CODE_403 = "403";//认证失败
    String CODE_404 = "404";//请求地址不存在
    String CODE_P001012 = "P-001012";//认证失败
    String CODE_B001012 = "B-001012";//认证失败

}